| Boost.Hana 1.7.1 Your standard library for metaprogramming |

Macros
version.hpp File Reference

Defines macros for tracking the version of the library. More...

## Macros
#define | BOOST_HANA_CONFIG_VERSION(version, revision, patch) (((version) << 24) + ((revision) << 16) + (patch))
#define | BOOST_HANA_MAJOR_VERSION 1
| Macro expanding to the major version of the library, i.e. the `x` in `x.y.z`.
#define | BOOST_HANA_MINOR_VERSION 7
| Macro expanding to the minor version of the library, i.e. the `y` in `x.y.z`.
#define | BOOST_HANA_PATCH_VERSION 1
| Macro expanding to the patch level of the library, i.e. the `z` in `x.y.z`.
#define | BOOST_HANA_VERSION
| Macro expanding to the full version of the library, in hexadecimal representation. More...

## Detailed Description

Defines macros for tracking the version of the library.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)

## Macro Definition Documentation

## ◆ BOOST_HANA_CONFIG_VERSION

#define BOOST_HANA_CONFIG_VERSION | ( |  | version,
|  |  | revision,
|  |  | patch
| ) |  | (((version) << 24) + ((revision) << 16) + (patch))

Transforms a (version, revision, patchlevel) triple into a number of the form 0xVVRRPPPP to allow comparing versions in a normalized way.

See http://sourceforge.net/p/predef/wiki/VersionNormalization.